---
title: Console.dirxml()
slug: Web/API/Console/dirxml
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>Displays an interactive tree of the descendant elements of the specified XML/HTML element. If it is not possible to display as an element the JavaScript Object view is shown instead. The output is presented as a hierarchical listing of expandable nodes that let you see the contents of child nodes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.dirxml(<em>object</em>);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
	<dt><code>object</code></dt>
	<dd>A JavaScript object whose properties should be output.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Console API", "#dirxml", "console.dirxml()")}}</td>
			<td>{{Spec2("Console API")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.dirxml")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
